#include <msp430f2618.h>
#define uchar unsigned char
#define uint  unsigned int
#define ulong unsigned long

#define CPU_F ((double)8000000) 
#define delay_us(x) __delay_cycles((long)(CPU_F*(double)x/1000000.0)) 
#define delay_ms(x) __delay_cycles((long)(CPU_F*(double)x/1000.0)) 

void Clock_Init();
void WDT_Init();
void Port_init();
void LCD_write_com(unsigned char com);
void LCD_write_data(unsigned char data);
void LCD_clear(void);
void DisplayCgrom(uchar addr,uchar *hz);
void Display(void);
void LCD_init(void);